I'm currently having similar errors. This my output for the following commands:

root@bt:~# msfupdate

Attempting to update the Metasploit Framework...


Deprecation Note: The next...